#!/bin/sh
# test we are root
if [ "$USER" != "root" ] ; then
   echo "Run as root please, exiting." 
   exit 1                                                      
fi                                               

# build depends 
su -c 'tce-load -wl submitqc4 wget' tc 
su -c 'tce-load -i submitqc4 wget' tc 
F=firefox

# start
cd /tmp
su -c '/usr/local/bin/wget -nc http://download.cdn.mozilla.net/pub/mozilla.org/firefox/releases/21.0/linux-i686/en-US/firefox-21.0.tar.bz2 \
 -O /tmp/firefox-21.0.tar.bz2' tc
tar jxvf fire*bz2
# creates folder called firefox
mv firefox firefox-src
mkdir -p $F/usr/local/tce.installed
mv firefox-src $F/usr/local/firefox

echo "#!/bin/sh
[ -d /var/lib/dbus ] || mkdir -p /var/lib/dbus
[ -f /var/lib/dbus/machine-id ] || dbus-uuidgen --ensure=/var/lib/dbus/machine-id

if [ -f /usr/local/bin/firefox ] ; then  
	rm -rf /usr/local/bin/firefox
	ln -s /tmp/tcloop/firefox/usr/local/firefox/firefox /usr/local/bin/
else 
	ln -s /tmp/tcloop/firefox/usr/local/firefox/firefox /usr/local/bin/
fi
" > $F/usr/local/tce.installed/firefox 

chown -R root:staff $F/usr/local/tce.installed
chmod -R 775        $F/usr/local/tce.installed

mkdir -p $F/usr/local/share/pixmaps
cp $F/usr/local/$F/browser/chrome/icons/default/default48.png $F/usr/local/share/pixmaps/firefox.png

mkdir -p $F/usr/local/share/applications
echo "[Desktop Entry]
Name=firefox
Exec=/usr/local/firefox/firefox
Terminal=False
Comment=Firefox Web Browser
StartupNotify=True
Type=Application
Categories=Application;Network;
Icon=firefox.png
X-FullPathIcon=/usr/local/share/pixmaps/firefox.png
" > $F/usr/local/share/applications/firefox.desktop

# squash 
mksquashfs $F $F.tcz
md5sum $F.tcz > $F.tcz.md5.txt
cd $F
find usr -not -type d > $F.tcz.list
mv $F.tcz.list /tmp

# finish off
cd /tmp

echo "libasound.tcz
curl.tcz
libnotify.tcz
libxcb.tcz
" > firefox.tcz.dep

submitqc4

